Ubuntu does not work with Samsung Galaxy phones (Unable to open raw device 0)

Bug #903422 reported by Andre on 2011-12-12
This bug affects 603 people
Affects Status Importance Assigned to Milestone
gvfs
Fix Released
Wishlist
gmtp (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned
gvfs (Ubuntu)
High
Gary
Precise
High
Unassigned
Quantal
High
Unassigned
udev (Ubuntu)
Undecided
Unassigned
Precise
Undecided
Unassigned
Quantal
Undecided
Unassigned

Bug Description

If your device is not supported please open a new bug specifying:
* device in question (make / model / release)
* output of `mtp-detect` when the device is attached
* output of `lsusb` when the device is attached

This bug will be a catch all for recent Samsung Nexus & Nexus 7, or please comment what other recent Andorid 4.x devices are affected.

Yes there is a lag in providing support for the most recent devices. As soon as the fixes are available, SRUs will follow.

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in udev (Ubuntu):
status: New → Confirmed

That isn't true that "Android 4 will not support anymore usb mass-storage protocol" it is up to device maker to provide sdcard slots or "internal sdcard". In that case mass storage will be available.

But more devices do not have sdcard support or sdcard like internal memory. So, those are only accessible using the MTP protocol which needs to be implemented in GVFS to automatically mount in .gvfs users folders.

summary: - Mount / Provide access to Android 4 (Ice Cream Sandwich, ICS) devices
+ Mount / Provide access to Android 4 (Ice Cream Sandwich, ICS) MTP
+ devices
affects: udev (Ubuntu) → gvfs (Ubuntu)
Sebastien Bacher (seb128) wrote :

Thank you for taking the time to report this bug and helping to make Ubuntu better. The issue you are reporting is an upstream one and it would be nice if somebody having it could send the bug to the developers of the software by following the instructions at https://wiki.ubuntu.com/Bugs/Upstream/GNOME. If you have done so, please tell us the number of the upstream bug (or the link), so we can add a bugwatch that will inform us about its status. Thanks in advance.

Changed in gvfs (Ubuntu):
importance: Undecided → Wishlist
Andre (ajx) wrote :

I've created an upstream bug report: https://bugzilla.gnome.org/show_bug.cgi?id=666195

mlaverdiere (mlaverdiere) wrote :

I'm on Ubuntu 11.10, using a Samsung Galaxy Nexus with Android 4/ICS.

What I observe is that connecting the GN in ptp mode behaves almost exactly as it if it was connect as a USB mass storage device, i.e., automount, icon (camera) appearing in the Launcher & Nautilus, possibility to create/move/delete any kind of files/folders, etc. Even with Banshee (and Rhythmbox I presume), if you put an ".is_audio_player" at the root, the GN will me recognized as a Media/Audio player!

Anyway, I guess that if the mtp connection was providing the same kind of access as ptp (by default, GN is set to connect as mtp device), it would be easier for novice users to have their GN phone works with Ubuntu.

mlaverdiere (mlaverdiere) wrote :

The only problem (limit) with ptp so far is that, strangely, it appears to limit the space access to +/-1,5 GB, as there is +/- 13 GB available (free) on the phone...

Martin Pitt (pitti) wrote :

We'd need to add a udev rule to allow users to access these devices. I figure we don't want to collect a whole lot of vendor/product IDs, is there a way to tell that an USB device is an Android one?

Can you please run

  udevadm info --export-db > /tmp/udev-db.txt

in a terminal and attach /tmp/udev-db.txt here, with the phone connected?

affects: gvfs (Ubuntu) → udev (Ubuntu)
Changed in udev (Ubuntu):
status: Confirmed → Incomplete
mlaverdiere (mlaverdiere) wrote :

Here are the requested log files, one when the phone is connected in mtp mode, the other in ptp mode.

I don't think (I may be wrong) that there is a magic way to detect all Android devices, as there are so many manufacturers and products... Anyway, most Android phones will continue to rely on USB mass storage, as Android 4/ICS still support this mode when there is an SD card inserted in the phone (which is usually the case). Up to now, Galaxy Nexus is an exception, with very few others so far.

mlaverdiere (mlaverdiere) wrote :

Other file.

traverlaw (david-traverlaw) wrote :

I'm using Ubuntu 11.10, with a Samsung Galaxy Nexus with Android 4.0.2

I cannot get USB support to work with either Media Device (MTP) which gives no response at all, or Camera (PTP) which will trigger a camera icon. When clicking "open" on the icon, I get a window with a "Galaxy" title in Nautilus, follwed by a long pause, and the eventual message, "The folder contents cannot be displayed. Sorry, could not display all the contents of "Galaxy": DBus error org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken."

Thus, I am forced to use "Airdroid" rather than accessing the device in the normal manner.

traverlaw (david-traverlaw) wrote :

Here is a copy of the tmp/udev-db.txt that corresponds to my prior posting.

Andre (ajx) wrote :

@traverlaw Did you try to follow the tutorial at "OMG! Ubuntu" which is linked in the bug description?

traverlaw (david-traverlaw) wrote :

Andre asked, "@traverlaw Did you try to follow the tutorial at "OMG! Ubuntu" which is linked in the bug description?"

Yes I did try it, several times, in many different versions as found on the web, and it does not work. I also upgraded via compiling to libmtp-1.1.1 and it still did not work. File access to a Galaxy Nexus via Linux should be an easy plug-in-the-phone treat, not requiring hours of searching the web, compiling new packages, editing files, and manually mounting and unmouting. When finally able to get to the files with the new lebmtp, they could be seen, but not accessed. Picutres would not show, music would not play. It was, from the user perspective, a wild goose chase that led to nothing. Android, it appears, is leaving Linux behind, and that is a very bad thing for Linux.

mlaverdiere (mlaverdiere) wrote :

Once again, just to put the story straight: Android 4/ICS is ***still*** supporting USB mass storage (UMS). The only thing is that some devices (such as Galaxy Nexus) have only one partition (i.e. without SD card) and thus, can't rely on UMS since this would lockup the whole system. These devices have to rely on other widely known protocol like mtp and ptp which are usually supported under Linux for years. On this explanation, see: http://www.engadget.com/2011/11/21/ice-cream-sandwich-supports-usb-mass-storage-after-all-galaxy-n/

So basically, the only thing to resolve here IMHO, is to have the Galaxy Nexus well recognized by Ubuntu as a mtp/ptp device (and, if possible, to provide complete file access with these protocols).

bill troop (w-troop) wrote :

I am using Ubunto 10.04 LTS. I followed the instructions in the referenced document. However, when I execute the mtp-detect | grep idVendor or mtp-detect | grep idProduct commands I get no output. It just returns to the cursur.

Steffan Jacobs (steffanjacobs) wrote :

I have recently bought a Asus Transformer Prime which gives no feedback on my Kubuntu 11.10 laptop when I hook it up in MTP mode. Mass storage does not seem to be one of the options for USB though that might be because I did not have any external memory hooked up when I connected it. Using the instructions a OMG ubuntu I was able to mount the system quite quickly.

I also own a Samsung Galaxy S. Though this still has mass storage support for the built-in memory, I tried hooking it up in MTP mode for a change. Something actually did pop-up and seemed to give some access to the phone. It seems however that I did not have access to all the files as I do seem to have on Windows.

I do hope that this can be included in the next release of (K)Ubuntu because a lot of people will be running into this now. If Ubuntu truly wants to remain a distro for the not-so-technical users things like this should really be picked up early.

@w-troop: you might have to install the package mtp-tools (i.e. execute 'sudo apt-get install mtp-tools' ). Though I would still except some output even if it is not installed. You could try executing just 'mtp-detect' and see if you can find the values yourself.

zaiger (brian-zaiger) wrote :

I'm using Cyanogenmod 9 with my Motorola Droid *with an SD card*, and I still cannot connect via USB. Also there is no option to change to MTP in the notification drawer like OMG! Ubuntu suggests so I cannot even fix it that way ):

mlaverdiere (mlaverdiere) wrote :

@Zaiger:

Currently, under Cyanogenmod 9 (still in early development), USB mass storage works with some devices (http://forum.xda-developers.com/showthread.php?t=1374497), but not (or not so well) for others. It's a Cyanogenmod 9 development issue. Again, ICS is built to supports USB mass storage when the device has more than one partition. For devices that don't, we need good mtp/ptp support under Ubuntu.

Changed in udev (Ubuntu):
status: Incomplete → Confirmed
Olivier Mengué (dolmen) wrote :

libmtp is involved in MTP support because udev rules and protocol implementation are provided by that package, so bundling a recent one is required.
There are a few open Android 4 related bugs in its bug tracker (I can't link to them in this bug's meta because LaunchPad think that the bug tracker is at LaunchPad and refuses to monitor SourceForge ones):
http://sourceforge.net/tracker/?func=detail&aid=3489472&group_id=158745&atid=809061
Some are recently fixed (January):
http://sourceforge.net/tracker/?func=detail&aid=3456722&group_id=158745&atid=809061

Changed in libmtp (Ubuntu):
status: New → Invalid
status: Invalid → Confirmed
Changed in udev (Ubuntu):
status: Confirmed → Invalid
Laurent Dinclaux (dreadlox) wrote :

When pluging in an MTP device nautilus should show the device content like with any mass storage device, no matter how, this is the behavior poeple are especting.

Laurent Dinclaux (dreadlox) wrote :

See this bug about mtpfs crashing in 12.04: https://bugs.launchpad.net/ubuntu/+source/mtpfs/+bug/948615

johantri (johantri-u) wrote :

Just update my galaxy s 2 with ICS and following everystep in here http://www.omgubuntu.co.uk/2011/12/how-to-connect-your-android-ice-cream-sandwich-phone-to-ubuntu-for-file-access/ but no working :(

I'm using ubuntu 11.10 64 bit.

Javier Scappini (jscappini) wrote :

I cannot make this to work either. I have a Galaxy S2 with ICS 4.0.3 and Precise. No luck till so far...

Alessio Treglia (quadrispro) wrote :

This bug should be fixed by the latest release uploaded to Precise.
Could anyone confirm that?

Changed in libmtp (Ubuntu):
status: Confirmed → Incomplete
Krešo Kunjas (deresh) wrote :

it works for me now. it automounts in nautilus through gphoto2 mtp backend.

handset is samsung galaxy s2 with latest cyanogenmod 9 ( ICS 4.0.4)

Alessio Treglia (quadrispro) wrote :

Good! Closing for now.

Changed in libmtp (Ubuntu):
status: Incomplete → Fix Released
Changed in libmtp:
status: New → Fix Released
futtta (futtta) wrote :

still on 11.10, can't test if fix works (but looking forward to this in a couple of days time)

for the record; i'm on a samsung galaxy sII with official samsung ICS ROM and although I do have a external sd-card, I don't have the option to mount it as USB mass storage, only choices are between MTP and PTP.

Shriramana Sharma (jamadagni) wrote :

I have a Sony Xperia Neo V which I recently upgraded to ICS and I have upgraded my Kubuntu installation to Precise. If it is true that the problem has been "fixed by the latest release uploaded to Precise" as per comment #24 please tell me from a vanilla installation what packages should I install to enable Precise to read my SD card via MTP protocol. The curious thing is that Ubuntu has always read my MP3 player (also on MTP) without my needed to install any specific packages, so I wonder why I have to install now only?

mlaverdiere (mlaverdiere) wrote :

@jamadagni: I don't know precisely what package is needed, but in my case, I have libmtp9, libmtp-common and libmtp-runtime installed (by default) on my Ubuntu 12.04 machine and I'm able to mount my Galaxy Nexus 4.1 ICS phone. However, when I plug the phone, nothing happens, i.e. no automount; I have to switch phone to ptp mode (or if it is already to ptp switch to mtp), to have the phone mount with one or this mode. Hope this helps.

Maraschin (carlo-maraschin) wrote :

I've a Galaxy tablet 10.1 and 12.04 does not recognize it!

Consumology (hgms72-4oneway) wrote :

I have a Samsung Galaxy Note and 12.04 does not recognize it!

Galaxy S2 with ICS

Jesueldo (jesueldo) wrote :

Galaxy Nexus with ICS 4.0.4 . Aparently, everthing works, but when I try to copy music to the phone, or it copies to root folder or gives an error

Andre (ajx) wrote :

Nexus-S_4G with Android 4.0.4 can be mounted as easy as it has been with 2.3.x. Vanilla Android seems to work great.

@Jesueldo: You might want to try it with a .is_audio_player file which allows to specify the location of your music files on the device when using software like Rhythmbox or Banshee: http://almost-a-technocrat.blogspot.com/2010/11/isaudioplayer.html

Maraschin (carlo-maraschin) wrote :

When I tried to use rhythmbox to acess a samsung table 10.1:
"Unable to open the Samsung GT-P7310/P7510/N7000/I9100/Galaxy Tab 7.7/10.1/S2/Nexus/Note device"

The same problem with Samsung Galaxy SII...

The best would be to be able to access it using Nautilus since it is not only photos and music, there are videos, ebooks and any other type of file that we may want to transfer between the devices!

Maraschin (carlo-maraschin) wrote :

Importance: Wishlist ?! WHY??
That is BAD! You are downgrading something that millions of user would like to integrate, linux with any android device in an EASY way! Please!

Svein Tore Seljebotn (sveint) wrote :

I cannot connect my stock Galaxy SII (ICS). Nothing happens. gMTP doesn't work either.

How can this be fixed if people are still experiencing issues?

Precise with latest updates.

No way is it fixed for me, Galaxy S2 with official ICS, Ubuntu 12.04 updated. Neither MTP or camera or debug modes. In MTP, it does automount in nautilus and shows the files and folders on the root of the phone, but all folders say 0 items inside them, and going into any folder shows no files or folders inside (when I know there are).

Uploading a file to the root or inside a folder shows as if its transferring, completes, but doesn't actually go on the phone's storage.

Same is true for me: Galaxy SIII, Ubuntu 12.04. When i plug in the phone, two nautilus windows (vie gphoto2) open for the internal and the external sd-card. In MTP mode i get the content and even may read files from the external sd, but only in the root-folder. Aall other folders i may browse, but they appear empty.

I may also create a file, that somehow may be changed on the card. When i plug of and on, the file can`t be read anymore, just be deleted.

Andrew Cowie (afcowie) wrote :

I have a Samsung Galaxy Tab 10.1 and despite a fully up to date Precise system, MTP support is not working.

AfC

Richard (richardmorley) wrote :

Samsung Galaxy S3 and Ubuntu 12.4 LTS. MTP support not working. Come on Ubuntu team...you can do it!!! :)

Luigi Calderone (lugligino) wrote :

USB connection attempt to a Galaxy Tab 7 plus.
I'm trying to connect a Galaxy Tab 7 plus to my PC (lubuntu 12.04). The usb connection works not so perfectly: lubuntu gives
this strange message: "Error initializing camera: -60: Could not lock the device"

and asks if I prefer to open the device (a portable audio player ) with vlc or open in file manager. Obviously I open file manager and I can see the sd card directories but they are empty . If I try to copy files, it's not allowed.

Samsung Galaxy S III GT-I9300 running Android 4.0.4, connected to Ubuntu 12.04 with libmtp 1.1.3-1ubuntu0.1 gives:

$ mtp-detect
libmtp version: 1.1.3

Listing raw device(s)
Device 0 (VID=04e8 and PID=6860) is a Samsung GT-P7310/P7510/N7000/I9100/Galaxy Tab 7.7/10.1/S2/Nexus/Note.
   Found 1 device(s):
   Samsung: GT-P7310/P7510/N7000/I9100/Galaxy Tab 7.7/10.1/S2/Nexus/Note (04e8:6860) @ bus 2, dev 32
Attempting to connect device(s)
PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
LIBMTP PANIC: failed to open session on second attempt
Unable to open raw device 0
OK.

Eric Hammond (esh) wrote :

I get the same mtp-detect output as acunningham on Samsung Galaxy S3, Ubuntu 12.04.

I followed the instructions in the howto in the bug description above. When I attempt to access the mounted directory, it hangs a long time then reports:

  ls: cannot access /mnt/android: Transport endpoint is not connected

/var/log/syslog shows these messages:

  kernel: [ 5647.472020] usb 2-1.1: reset high-speed USB device number 5 using ehci_hcd

S3's are selling like hotcakes and Ubuntu is increasingly popular. It would be super to have them work together.

Siep Kroonenberg (siepo) wrote :

Also same output as acunningham with Samsung Galaxy Tab 2 7.0,or P3110.

Robin Sheat (eythian) wrote :

Fix is most definitely _not_ released. When I open a nautilus window from the galaxy nexus in MTP mode, it spends a long time thinking and then pops up an empty window. Is someone able to change the status back to "confirmed"?

Onlyodin (ubuntu-xsnet) wrote :

I have installed all updates for 12.04 (including libmtp* and mtp-tools) and the issue is not fixed for me also.

Attempting to browse the device when in MTP mode results in a delay of 2-3 minutes followed by an error the same as the DBus error described in comment #10.

Andreas Hasenack (ahasenack) wrote :

When it says "Fix Released" like that, without the name of an Ubuntu Release, then it means it's fixed in the development release, which is Quantal.

Are you running Quantal? If the fix is indeed there, and confirmed working, then this bug here needs to get a SRU to try to get it into Precise and the others, if applicable.

Robin Sheat (eythian) wrote :

Comment #24 says:
> This bug should be fixed by the latest release uploaded to Precise.
> Could anyone confirm that?

And the "Fix Released" status was set on that basis.

I'm confirming that this is not the case, it is not fixed in the latest releaase uploaded to Precise.

Andreas Hasenack (ahasenack) wrote :

I can't change the status either, and I doubt people are looking at this bug anymore because it's "Fix Released".

I think a new bug is in order, pointing back at this one, or maybe marking this one as a duplicate of the new one. Specially because there is no "precise" task here anymore, since the bug was opened during the precise cycle.

Robin Sheat (eythian) wrote :

We could use bug 972311 if it can be unmarked as a dupe of this.

Justin Clark (jerico74) wrote :

FWIW, I can't get my Galaxy S3 connecting properly under 12.04. I followed the steps in OMG hot-to, but I get the "-60" error when I plug the phone in (before I even get to the "android-connect" step).

Alessio Treglia (quadrispro) wrote :

Targeted to Precise right now, I'll work on it as soon as possible.
In the meanwhile could anyone try to reproduce this bug with the version of libmtp currently available for Quantal?

Not sure if it's the correct version, but I downloaded this file:

http://archive.ubuntu.com/ubuntu/pool/main/libm/libmtp/libmtp9_1.1.3-24-g9aca343-3ubuntu1_i386.deb

and installed it, and mtp-detect still gives this with a Samsung Galaxy S III GT-I9300:

$ mtp-detect
libmtp version: 1.1.3

Listing raw device(s)
Device 0 (VID=04e8 and PID=6860) is a Samsung GT P7310/P7510/N7000/I9070/I9100/I9300 Galaxy Tab 7.7/10.1/S2/S3/Nexus/Note/Y.
   Found 1 device(s):
   Samsung: GT P7310/P7510/N7000/I9070/I9100/I9300 Galaxy Tab 7.7/10.1/S2/S3/Nexus/Note/Y (04e8:6860) @ bus 2, dev 20
Attempting to connect device(s)
PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
LIBMTP PANIC: failed to open session on second attempt
Unable to open raw device 0
OK.

If there's a newer version you'd like me to try, I'm happy to do so; please let me know the URL.

Robin Sheat (eythian) wrote :

On standard precise with a gnex running 4.1, I get:

$ time mtp-detect
libmtp version: 1.1.3

Listing raw device(s)
Device 0 (VID=04e8 and PID=685c) is a Samsung Galaxy Nexus/Galaxy S i9000/i9250, Android 4.0 updates.
   Found 1 device(s):
   Samsung: Galaxy Nexus/Galaxy S i9000/i9250, Android 4.0 updates (04e8:685c) @ bus 2, dev 13
Attempting to connect device(s)
...a long pause ...
...a lot of info...
OK.

real 2m21.960s
user 0m3.436s
sys 0m3.156s

mostly guessing, but I wonder if this time taken is longer than any reasonable timeout and is causing things to fail. My phone has been used for some time now, so is full of junk. I seem to remember having it work once or twice when I first got it, so perhaps something in libmtp is going through and indexing _everything_, which takes too long.

Robin Sheat (eythian) wrote :

"time mtp-files" takes a similar length of time, so this seems plausible to me.

Andreas Hasenack (ahasenack) wrote :

Here mtp-detect also takes a long time, about 1 minute. It's a galaxy nexus with android 4.0.4, stock.

andreas@nsn7:~$ time mtp-detect 2>&1 | tee mtp-detect.log
Device 0 (VID=04e8 and PID=685c) is a Samsung Galaxy Nexus/Galaxy S i9000/i9250, Android 4.0 updates.

libmtp version: 1.1.3

Listing raw device(s)
   Found 1 device(s):
   Samsung: Galaxy Nexus/Galaxy S i9000/i9250, Android 4.0 updates (04e8:685c) @ bus 2, dev 3
Attempting to connect device(s)
Android device detected, assigning default bug flags

USB low-level info:
   Interface has a kernel driver attached.
(...)

   ISO MPEG-1 Audio Layer 2
   Abstract Playlist file
   XML file
   Free Lossless Audio Codec (FLAC)
OK.

real 1m10.807s
user 0m1.456s
sys 0m1.432s

mtp-files takes about the same time (1min11s).

Andreas Hasenack (ahasenack) wrote :

Just out of curiosity, I downloaded fedora 17 64bits live cd and gave it a try regarding mtp-detect. It completes in 0.25s:

[liveuser@localhost ~]$ time mtp-detect
libmtp version: 1.1.3

Listing raw device(s)
Device 0 (VID=04e8 and PID=685c) is a Samsung Galaxy Nexus/Galaxy S i9000/i9250, Android 4.0 updates.
   Found 1 device(s):
   Samsung: Galaxy Nexus/Galaxy S i9000/i9250, Android 4.0 updates (04e8:685c) @ bus 1, dev 5
Attempting to connect device(s)
Android device detected, assigning default bug flags
Error 1: Get Storage information failed.
Error 2: PTP Layer error 02fe: get_handles_recursively(): could not get object handles.
Error 2: (Look this up in ptp.h for an explanation.)
USB low-level info:
   Interface has a kernel driver attached.
(...)
   ISO MPEG-1 Audio Layer 2
   Abstract Playlist file
   XML file
   Free Lossless Audio Codec (FLAC)
OK.

real 0m0.251s
user 0m0.013s
sys 0m0.013s
[liveuser@localhost ~]$

The package there is libmtp-examples-1.1.3-2.fc17

I also just updated the phone from android 4.0.4 to android 4.1.1, and it still times out in ubuntu.

Andreas Hasenack (ahasenack) wrote :

With opensuse 12.1 mtp-detect also works quickly (tried a live cd). The package there is 1.1.3-8.7.1 for 32bits (i586).

Maybe both opensuse and fedora have a patch?

Launchpad Janitor (janitor) wrote :

Status changed to 'Confirmed' because the bug affects multiple users.

Changed in libmtp (Ubuntu Precise):
status: New → Confirmed
Changed in udev (Ubuntu Precise):
status: New → Confirmed
Siep Kroonenberg (siepo) wrote :

I noticed that the only person who claimed that it worked (#25) had CyanogenMod installed. I just installed CyanogenMod on my Galaxy Tab 2 7.0 too and now suddenly it works for me too, via mtpfs.

I remember reading somewhere about Microsoft's mtp stack with DRM and the standard mtp stack without.

Christoph Langner (chrissss) wrote :

@Siep Kroonenberg: Did you wipe you device while switching to CyanogenMod? Remeber, MTP works well, as long as your Smartphone contains just a couplfe of files. As soon as you transfer your whole music collection to your phone, MTP breaks on Ubuntu.

I believe CM7 will work but not CM9 (ICS).

Dave Thomas (davet) wrote :

CM7 on a Galaxy Nexus or other ICS device? Not going to happen and also nothing you would want to do.

Simply put, MTP on Ubuntu is broken unless you have very little on your internal storage. If you wipe it and have few files it wont time out, but once you actually start using the phone and files build up it will fail. This is easily confirmed.

Siep Kroonenberg (siepo) wrote :

@Christoph Langner: I wiped the device but not the sd card while installing CM9 on my ICS machine. I keep my data mostly on the sd card.

For me, MTP did not work at all with the Samsung firmware, at least with mtpfs and adb: mtpfs would mount but not give a directory listing, and 'adb devices' came up empty except once. With CM9, I can get an directory listing and give adb shell commands.

I never use mtp as mtp and haven't tested big file copying actions.

Onlyodin (ubuntu-xsnet) wrote :

Alessio Treglia asked in post #53 if this could be reproduced in Quantal...

I've run up a Quantal VM in Virtualbox, connected the phone through to the VM, it's detected and suffers the same issue as I get from Precise, which is the same as the error in post #10:

"
Sorry, could not display all the contents of "Galaxy Nexus": DBus error org.freedesktop.DBus.Error.NoReply: Did not receive a reply.
"

Siep Kroonenberg (siepo) wrote :

I did some more testing with my GT2/CM9:

From GT2 to pc:
copying a directory with a few largish files went ok

From pc to GT2:
copying a directory tree to the GT2 resulted in the directory tree being created but individual files ending up in the root of the SD card.
copying an 125MB file to the GT2 went ok.
copying a 2.5GB tv recording to the GT2 resulted in a corrupt copy.

MvW (2nv2u) wrote :

Running 3.4.5 kernel in 12.04 precise (kernel downloaded from mainline) it still doesn't mount.

MvW (2nv2u) wrote :

Result from using mtp-detect in 3.4.5, it takes ages and i've stopped it eventually.
It keeps displaying the last line over and over again.

mtp-detect
libmtp version: 1.1.3

Listing raw device(s)
Device 0 (VID=04e8 and PID=6860) is a Samsung GT-P7310/P7510/N7000/I9100/Galaxy Tab 7.7/10.1/S2/Nexus/Note.
   Found 1 device(s):
   Samsung: GT-P7310/P7510/N7000/I9100/Galaxy Tab 7.7/10.1/S2/Nexus/Note (04e8:6860) @ bus 2, dev 11
Attempting to connect device(s)
ignoring usb_claim_interface = -99Android device detected, assigning default bug flags
Reading in zero packet after header
Reading in zero packet after header
Reading in zero packet after header
Reading in zero packet after header
Reading in zero packet after header
Reading in zero packet after header
Reading in zero packet after header
^C

hoover (uwe-schuerkamp) wrote :

Me too, Precise 12.04 fully updated with a galaxy S3:

$ mtp-detect
libmtp version: 1.1.3

Listing raw device(s)
Device 0 (VID=04e8 and PID=6860) is a Samsung GT-P7310/P7510/N7000/I9100/Galaxy Tab 7.7/10.1/S2/Nexus/Note.
   Found 1 device(s):
   Samsung: GT-P7310/P7510/N7000/I9100/Galaxy Tab 7.7/10.1/S2/Nexus/Note (04e8:6860) @ bus 2, dev 10
Attempting to connect device(s)
PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
LIBMTP PANIC: failed to open session on second attempt
Unable to open raw device 0
OK.

If I manage to run mtp-detect within three secs after plugin, I get the following message (see attached file), but still unity / nautilus will only the top level folders on the internal phone and the sd card, but they are all empty.

Andrea Amoroso (heiko81) wrote :

I got a Motorola Xoom 2 (European edition with HoneyComb 3.2) and with Ubuntu 12.04, it doesn't automount automatically. I just managed to upload files on it using GMTP, but it's kind of buggy. After I launch GMTP and open Nautilus, it shows me the new device, but, if I click on its icon, I always have a system error. I think that this should be solved asap, because many Android devices are being upgraded to ICS and JB.

Siep Kroonenberg (siepo) wrote :

Copying files with adb works well for me, with a standalone adb from http://code.google.com/p/texasice-cream-sandwich-mirror/downloads/detail?name=adb_fastboot.zip&can=2&q= . No need to unmount the sd card on the tablet.

With the original ROM, nothing worked for me. With CM9, at least adb is fine. mtp only sort-of works.

Mtp may be ok for media, at least if it works, but I much prefer proper access to the filesystem, which adb provides. When googling for adbfs I get several hits. I think something like that would be just what I need.

Mark Dwyer (mdwy62) wrote :

I have ICS with stock ROM on GSII (Sprint: Epic 4g Touch) with 12.04 LTS. When I plug the phone in I get the 2 nonsearchable top folders described above (see #38)

gphoto2://[usb:002,022]/store_00010001
gphoto2://[usb:002,022]/store_00020002

Followed the omgubuntu directions referred to above, android-connect command does not work. mtp-detect returns:
VID = 04e8
PID = 6860

After a few minutes a volume icon shows up on the desktop, but trying to open it yields the error:
Error: Error when getting information for file '/media/GSII': Transport endpoint is not connected.

gmtp fails as well.

I have an external SD card in my phone, but I do not have a USB option under Settings>Wireless and Network > More.

Phone Dialer: *#7284# has a USB option, should be set to USB/PDA This does not seem to help either. Tried switching and resetting back to no avail.

Debug mode is on.

hoover (uwe-schuerkamp) wrote :

I can confirm this problem exists on Cyanogen Mod 9 on my new S3 / i9300 (flashed with the current cm stable version).

When I plug the phone into 12.04 desktop (32bits), I get the error message "can not exclusively reserve device" (from memory), USB debug mode is "on".

Jan Gutter (ubuntu-jangutter) wrote :

Hi,

Have you tried using jmtpfs?

http://research.jacquette.com/jmtpfs-exchanging-files-between-android-devices-and-linux/

It's working for me on my Galaxy Nexus (JB and ICS), and I've also had luck with it with a Galaxy S3 (ICS). (I'm using 12.04 with the latest libmtp)

Unfortunately mtp is still really slow: keep in mind it was never really designed to scale, and mapping it on to a filesystem will always be imperfect.

hoover (uwe-schuerkamp) wrote :

Thanks for pointing out jmtpfs, it seems to work ok on Linux Mint 10 using a current libmtp version. speed isn't great (5MB/sec), but I can live with that for now until the ubuntu folks get their act together!

Andreas Hasenack (ahasenack) wrote :

I updated my galaxy nexus to jelly bean (4.1.1) and the problem remains.

The Nexus 7 also does not emulate a mass storage device, only MTP and PTP are supported. Using Ubuntu 12.04 I can only access a subset of the Nexus 7's directory hierarchy related to the camera when using PTP. Currently, setting up fuse to allow access to MTP devices is not particularly intuitive but once set up correctly, MTP does seem to allow access to what appears to be the full directory structure of the device.

Martin Stjernholm (msub) wrote :

People (like me) who believe they're still affected by this bug, and hence don't agree with its "Fix Released" status, may want to weigh in on bug 986722 instead.

psypher (psypher246) wrote :

This bug is not fixed. My Nexus was working 100% in Nautilus up until the last update I did a couple of days ago and now all get it this error when connecting it:

Sorry, could not display all the contents of "Galaxy Nexus": DBus error org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Changed in libmtp (Ubuntu Precise):
importance: Undecided → High
Changed in udev (Ubuntu Precise):
importance: Undecided → High
Bernard Decock (decockbernard) wrote :

Same problems when accessing an Archos 101G9-tablet

1. Command mtp-detect takes about 2 minutes in order to complete (output is ok : see attached file)

2. gmtp fails most of the time and once it crashes, it keeps on crashing

3. Browsing the file-systeem is very slow (minutes) although downloading files is very fast!

Bernard Decock (decockbernard) wrote :

Screendump : error-cndition

Bernard Decock (decockbernard) wrote :
Bernard Decock (decockbernard) wrote :

[ 506.719610] usb 1-2.3: usbfs: process 1680 (gmtp) did not claim interface 0 before use
[ 507.101198] usb 1-2.3: usbfs: process 1680 (gmtp) did not claim interface 0 before use
[ 511.944869] usb 1-2.3: usbfs: process 1680 (gmtp) did not claim interface 0 before use
[ 511.944987] usb 1-2.3: usbfs: process 1680 (gmtp) did not claim interface 0 before use
[ 511.945037] usb 1-2.3: usbfs: process 1680 (gmtp) did not claim interface 0 before use
[ 511.945061] usb 1-2.3: usbfs: process 1680 (gmtp) did not claim interface 0 before use
[ 511.945081] usb 1-2.3: usbfs: process 1680 (gmtp) did not claim interface 0 before use
[ 511.945099] usb 1-2.3: usbfs: process 1680 (gmtp) did not claim interface 0 before use
[ 511.945117] usb 1-2.3: usbfs: process 1680 (gmtp) did not claim interface 0 before use
[ 766.440090] usb 1-2.3: USB disconnect, device number 3
[ 1819.649214] usb 1-2.3: new full-speed USB device number 5 using uhci_hcd
[ 3797.118242] usb 1-2.3: reset full-speed USB device number 5 using uhci_hcd
[ 3797.388136] show_signal_msg: 30 callbacks suppressed
[ 3797.388149] gmtp[2407]: segfault at 2c ip 0804f5cb sp bf830030 error 4 in gmtp[8048000+28000]
[ 3880.858387] gmtp[2828]: segfault at 2c ip 0804f5cb sp bfab52a0 error 4 in gmtp[8048000+28000]
[ 4085.348590] gmtp[2859]: segfault at 2c ip 0804f5cb sp bff7b3a0 error 4 in gmtp[8048000+28000]
[ 4191.067860] gmtp[2869]: segfault at 2c ip 0804f5cb sp bfc97970 error 4 in gmtp[8048000+28000]
[ 4260.461304] gmtp[2891]: segfault at 2c ip 0804f5cb sp bfa8a820 error 4 in gmtp[8048000+28000]

I have just installed Cyanogenmod 9.1.0 stable on my S2 and after connecting my phone by USB to Ubuntu 12.04, and then popping down the top menu on the phone and selecting USB storage mode (or similar), I have full access to everything on the device as normal.

For me at least, this problem is sorted!

Bklyn (v-launchpad-bklyn) wrote :

@nLinked (#87): have you experienced this bug before and now things work? Does your phone have a significant number of files on it on it (perhaps you wiped as part of your upgrade)?

It seems unlikely this bug has been fixed given that no releases have been made that reference it.

nLinked's comment is largely irrelevant to this defect, he just turned on
USB mass storage mode on his phone. Not all phones support it, and it has
all sorts of negative side effects (even if you can do it, it means the
phone can't access anything on that storage, potentially including
applications).

Sorry, you are right, what works for me in CM9.1.0 is in fact mass storage mode. Glad to see it back for now, but it does of course dismount the storage from the phone while in use. So the MTP problem is still there.

hoover (uwe-schuerkamp) wrote :

So CM 9.1 brings back usb mass storage mode, hopefully on the S3 too? I wouldn't mind not being able to use the phone while it's connected as usb mass storage.

Onlyodin (ubuntu-xsnet) wrote :

As far as I'm aware, USB Mass Storage is still available in 4.0/4.1 (Vendor Optional), but only for external storage (MicroSD storage). For those of us with Internal storage USB Mass Storage is not an option.

It may also be possible with CM9 if they partition the Internal Storage to give the appearance of both Internal and External Storage - but it remains that only the 'external' storage is usable with USB Mass Storage.

karthikjain (karthikjain) wrote :

Recently upgraded my Galaxy Nexus to 4.1.1 JB and now i'l facing problems with MTP.

PTP works fine but MTP works occationally.
Nautilus detects the Filesystem as gphoto2, In the properties i'm able to view the used space and unused space correctly, but the folder contains nothing.

mtp-detect output >> http://paste.ubuntu.com/1215161/

Juan C Nuno (juancnuno) wrote :

@karthikjain Which version of Ubuntu are you using? I haven't been able to get even PTP working on Precise.

Anthony Borrow (arborrow) wrote :
Download full text (23.6 KiB)

Just tested MTP with 12.10 and a Galaxy Nexus and still seeing the "Sorry, could not display all the contents of "Galaxy Nexus": Timeout was reached". Peace - Anthony

mtp-detect
libmtp version: 1.1.4

Listing raw device(s)
Device 0 (VID=04e8 and PID=685c) is a Samsung Galaxy Nexus/Galaxy S i9000/i9250, Android 4.0 updates.
   Found 1 device(s):
   Samsung: Galaxy Nexus/Galaxy S i9000/i9250, Android 4.0 updates (04e8:685c) @ bus 2, dev 11
Attempting to connect device(s)
PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
Android device detected, assigning default bug flags
Reading in zero packet after header
USB low-level info:
   Interface has a kernel driver attached.
   bcdUSB: 512
   bDeviceClass: 0
   bDeviceSubClass: 0
   bDeviceProtocol: 0
   idVendor: 04e8
   idProduct: 685c
   IN endpoint maxpacket: 512 bytes
   OUT endpoint maxpacket: 512 bytes
   Raw device info:
      Bus location: 2
      Device number: 11
      Device entry info:
         Vendor: Samsung
         Vendor id: 0x04e8
         Product: Galaxy Nexus/Galaxy S i9000/i9250, Android 4.0 updates
         Vendor id: 0x685c
         Device flags: 0x0800a106
Configuration 0, interface 0, altsetting 0:
   Interface description contains the string "MTP"
   Device recognized as MTP, no further probing.
Device info:
   Manufacturer: samsung
   Model: Galaxy Nexus
   Device version: 1.0
   Serial number: 014E0F500501C008
   Vendor extension ID: 0x00000006
   Vendor extension description: microsoft.com: 1.0; android.com: 1.0;
   Detected object size: 64 bits
   Extensions:
        microsoft.com: 1.0
        android.com: 1.0
Supported operations:
   1001: get device info
   1002: Open session
   1003: Close session
   1004: Get storage IDs
   1005: Get storage info
   1006: Get number of objects
   1007: Get object handles
   1008: Get object info
   1009: Get object
   100a: Get thumbnail
   100b: Delete object
   100c: Send object info
   100d: Send object
   1014: Get device property description
   1015: Get device property value
   1016: Set device property value
   1017: Reset device property value
   101b: Get partial object
   9801: Get object properties supported
   9802: Get object property description
   9803: Get object property value
   9804: Set object property value
   9805: Get object property list
   9810: Get object references
   9811: Set object references
   95c1: Unknown (95c1)
   95c2: Unknown (95c2)
   95c3: Unknown (95c3)
   95c4: Unknown (95c4)
   95c5: Unknown (95c5)
Events supported:
   0x4002
   0x4003
   0x4004
   0x4005
Device Properties Supported:
   0xd401: Synchronization Partner
   0xd402: Friendly Device Name
   0x5003: Image Size
Playable File (Object) Types and Object Properties Supported:
   3000: Undefined Type
      dc01: Storage ID UINT32 data type ANY 32BIT VALUE form READ ONLY
      dc02: Object Format UINT16 data type ANY 16BIT VALUE form READ ONLY
      dc03: Protection Status UINT16 data type ANY 16BIT VALUE form READ ONLY
      dc04: Object Size UINT64 data type READ ONLY
      dc07: Object File Name STRING data type GET/SET
      dc09: Date Modified STRING data type...

Changed in udev (Ubuntu Quantal):
status: Invalid → Confirmed

I don't think this is fully fixed in Quantal because when I attach my LG Optimus P700 with Android 4.0.3 nothing happens.

I think it should "work": You plug in your device and it should be auto-mounted.

Changed in gmtp (Ubuntu Quantal):
status: New → Confirmed
Changed in gmtp (Ubuntu Precise):
status: New → Confirmed
Simplehuman (simplehuman) wrote :

#96, On my Samsung Galaxy Nexus with Android 4.1.1 it is not working too in Quantal.

summary: - Mount / Provide access to Android 4 (Ice Cream Sandwich, ICS) MTP
+ Mount / Provide access to Android 4.x (Ice Cream Sandwich and above) MTP
devices

I had MTP barely working with mtpfs and galaxy S3 with stock rom , now with CM10 it does not work at all , mtp-detect gives

Device 0 (VID=04e8 and PID=6860) is a Samsung Galaxy models (MTP).
   Found 1 device(s):
   Samsung: Galaxy models (MTP) (04e8:6860) @ bus 1, dev 6
Attempting to connect device(s)
PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
outep: usb_get_endpoint_status(): No data available
usb_clear_halt() on IN endpoint: Protocol error
usb_clear_halt() on OUT endpoint: Protocol error
usb_clear_halt() on INTERRUPT endpoint: Protocol error
LIBMTP PANIC: failed to open session on second attempt
Unable to open raw device 0
OK.

go-mtpfs manages to mount it but as soon i access DCIM go-mtpfs freezes

Rudy Vissers (rudy-vissers) wrote :

Come on guys... Are we serious people ? Can you explain the user lambda that it is not possible to browse his galaxy nexus from within ubuntu 12.04 ? Do you want them all to switch to the iPhone ? This one is a shame...
Same error reported a few months ago in 12.04 64 bits using a galaxy nexus jelly bean...

Sorry, could not display all the contents of "Galaxy Nexus": DBus error org.freedesktop.DBus.Error.NoReply: Did not receive a reply. Possible causes include: the remote application did not send a reply, the message bus security policy blocked the reply, the reply timeout expired, or the network connection was broken.

Philip Langdale (langdalepl) wrote :

I have been working on native mtp support in gvfs. The details of that work can be tracked in the linked upstream bug. This will allow Nautilus to correctly access android devices - it won't help with any of the other applications, as they have to be rewritten to avoid this bug.

Changed in gvfs:
importance: Unknown → Wishlist
status: Unknown → In Progress
Dimitri John Ledkov (xnox) wrote :

gmtp is using libmtp, such that if it is fixed there gmtp will start to magically work.

Changed in libmtp (Ubuntu Quantal):
status: Fix Released → Confirmed
Changed in gmtp (Ubuntu Precise):
status: Confirmed → Invalid
Changed in gmtp (Ubuntu Quantal):
status: Confirmed → Invalid
Changed in udev (Ubuntu Precise):
status: Confirmed → Invalid
Changed in udev (Ubuntu Quantal):
status: Confirmed → Invalid
Dimitri John Ledkov (xnox) wrote :

udev has nothing to do with this bug. The rules for actual devices are provided by libmtp package in the file 69-libmtp.rules

Changed in libmtp (Ubuntu Quantal):
importance: Undecided → High

The libmtp status fix released is bogus, as libmtp does not use launchpad for bug tracking, they use source forge and there is no bug link.

description: updated
summary: - Mount / Provide access to Android 4.x (Ice Cream Sandwich and above) MTP
- devices
+ Ubuntu does not work with Samsung Galaxy phones (needs update to libmtp)
no longer affects: libmtp
Laurent Dinclaux (dreadlox) wrote :

If libmtp is effectively fixed, when will the fixed package be available in Precise?

Kevin Ford (kdford) wrote :

This affects me as well and I'm including the output that you requested.. I'm running Oneiric 11.10

Samsung Galaxy s3 (on Sprint)
MODEL: SPH-L710
Android version 4.04
Kernel Version: 3.0.8-1092716
se.infra@SEP-109 #1
SMP PREEMPT Fri Sep 7 00:42:04 KST 2012
Build Number: IMM76D.L710VPALI3
Hardware Version: L710.14

$ mtp-detect
Error: Unable to open ~/.mtpz-data for reading.
libmtp version: 1.1.5

Listing raw device(s)
Device 0 (VID=04e8 and PID=6860) is a Samsung Galaxy models (MTP).
   Found 1 device(s):
   Samsung: Galaxy models (MTP) (04e8:6860) @ bus 2, dev 3
Attempting to connect device(s)
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
LIBMTP PANIC: failed to open session on second attempt
Unable to open raw device 0
OK.

$ lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 003: ID 17ef:1004 Lenovo Integrated Webcam
Bus 002 Device 003: ID 04e8:6860 Samsung Electronics Co., Ltd
Bus 004 Device 002: ID 0a5c:2145 Broadcom Corp. Bluetooth with Enhanced Data Rate II

Onlyodin (ubuntu-xsnet) wrote :

I was under the impression that this has already been resolved in Fedora? Has there not already been a fix for libmtp released already?

dotancohen (dotancohen) wrote :

Samsung Galaxy S3

dotancohen (dotancohen) wrote :

Samsung Galaxy S3

Additional files from previous comment.

dotancohen (dotancohen) wrote :

Samsung Galaxy S3

Additional files from previous comment.

Asus Transformer TF700T
lsusb:
Bus 002 Device 015: ID 0b05:4c90 ASUSTek Computer, Inc.
mtp-detect:
Device 0 (VID=0b05 and PID=4c90) is UNKNOWN.
Please report this VID/PID and the device model to the libmtp development team
full output of mtp-detect in attached file.

I often get MTP_IO_ERROR with this device and when I try to mount mtpfs, I get "Transport endpoint is not connected".
PTP file transfers seem to work normally.

Philip Langdale (langdalepl) wrote :

It's actually not clear that the gmtp bug is invalid.

gmtp uses a particular set of libmtp API calls that aren't functionally compatible with Android 4.x devices. libmtp has a separate set of calls that are compatible (these are what go-mtpfs and my gvfs mtp backend use). So, gmtp would need to be updated to use these different set of calls before it will ever work, unless the libmtp authors decide to reimplement the broken calls in terms of the working ones, which is theoretically possible, but, I think, unlikely.

Martino Ronchi (bellanano) wrote :
Download full text (24.2 KiB)

Galaxy Nexus I9250 Takju

lsusb :

Bus 001 Device 002: ID 04f2:b083 Chicony Electronics Co., Ltd
Bus 002 Device 005: ID 04e8:6860 Samsung Electronics Co., Ltd GT-I9100 Phone [Galaxy S II], GT-P7500 [Galaxy Tab 10.1]
Bus 008 Device 002: ID 1bcf:053a Sunplus Innovation Technology Inc. Targa Silvercrest OMC807-C optische Funkmaus
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 008 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub

mtp-detect :

libmtp version: 1.1.4

Listing raw device(s)
Device 0 (VID=04e8 and PID=6860) is a Samsung GT P7310/P7510/N7000/I9070/I9100/I9300 Galaxy Tab 7.7/10.1/S2/S3/Nexus/Note/Y.
   Found 1 device(s):
   Samsung: GT P7310/P7510/N7000/I9070/I9100/I9300 Galaxy Tab 7.7/10.1/S2/S3/Nexus/Note/Y (04e8:6860) @ bus 2, dev 5
Attempting to connect device(s)
Android device detected, assigning default bug flags
USB low-level info:
   Interface has a kernel driver attached.
   bcdUSB: 512
   bDeviceClass: 0
   bDeviceSubClass: 0
   bDeviceProtocol: 0
   idVendor: 04e8
   idProduct: 6860
   IN endpoint maxpacket: 512 bytes
   OUT endpoint maxpacket: 512 bytes
   Raw device info:
      Bus location: 2
      Device number: 5
      Device entry info:
         Vendor: Samsung
         Vendor id: 0x04e8
         Product: GT P7310/P7510/N7000/I9070/I9100/I9300 Galaxy Tab 7.7/10.1/S2/S3/Nexus/Note/Y
         Vendor id: 0x6860
         Device flags: 0x48008107
Configuration 0, interface 0, altsetting 0:
   Interface description contains the string "MTP"
   Device recognized as MTP, no further probing.
Device info:
   Manufacturer: samsung
   Model: Galaxy Nexus
   Device version: 1.0
   Serial number: 0146A54705004017
   Vendor extension ID: 0x00000006
   Vendor extension description: microsoft.com: 1.0; android.com: 1.0;
   Detected object size: 64 bits
   Extensions:
        microsoft.com: 1.0
        android.com: 1.0
Supported operations:
   1001: get device info
   1002: Open session
   1003: Close session
   1004: Get storage IDs
   1005: Get storage info
   1006: Get number of objects
   1007: Get object handles
   1008: Get object info
   1009: Get object
   100a: Get thumbnail
   100b: Delete object
   100c: Send object info
   100d: Send object
   1014: Get device property description
   1015: Get device property value
   1016: Set device property value
   1017: Reset device property value
   101b: Get partial object
   9801: Get object properties supported
   9802: Get object property description
   9803: Get object property value
   9804: Set object property value
   9805: Get object property list
   9810: Get object references
   9811: Set object references
   95c1: Unknown (95c1)
   95c2: Unknown (95c2)
   95c3: Unknown (95c3)
   95c4: Unknown (95c4)
   95c5: Unknown (95c5)
Events supported:
   0x4002
   0x4003
   0x4004
   0...

Steffen Sindzinski (stesind) wrote :

I just upgraded to 12.10 and get the same error from mtp-detect:

PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
LIBMTP PANIC: failed to open session on second attempt
Unable to open raw device 0

partypooper (patrick-monmien) wrote :

Same thing here: Ubuntu 12.10 and a Galaxy Note 2 (N7100)

mtpfs -o allow_other /media/GalaxyNote2/
Listing raw device(s)
Device 0 (VID=04e8 and PID=6860) is a Samsung GT P7310/P7510/N7000/I9070/I9100/I9300 Galaxy Tab 7.7/10.1/S2/S3/Nexus/Note/Y.
   Found 1 device(s):
   Samsung: GT P7310/P7510/N7000/I9070/I9100/I9300 Galaxy Tab 7.7/10.1/S2/S3/Nexus/Note/Y (04e8:6860) @ bus 2, dev 6
Attempting to connect device
PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
Listing File Information on Device with name: GT-N7100

Ray Wang (raywang) wrote :

Although I can mount the device, but the pictures in DCIM/Camera are GONE, I can not see them.

Ray Wang (raywang) wrote :

Sorry, forget the logs

Listing raw device(s)
Device 0 (VID=04e8 and PID=685c) is a Samsung Galaxy Nexus/Galaxy S i9000/i9250, Android 4.0 updates.
   Found 1 device(s):
   Samsung: Galaxy Nexus/Galaxy S i9000/i9250, Android 4.0 updates (04e8:685c) @ bus 1, dev 4
Attempting to connect device
Android device detected, assigning default bug flags
Listing File Information on Device with name: (NULL)

Ray Wang (raywang) wrote :

Back to precise, libmtp-* is 1.1.3-1.
I wonder is it a bug introduced in 1.1.4-1?

The bug is still present in Ubuntu 12.10... is this a bug with libmtp or with Ubuntu? Does this work on other distros?

Its working with Kubuntu 12.10 with 3.5.0-17-lowlatency #18-Ubuntu SMP
PREEMPT x86_64 kernel but its very slow that its not worth it.

On Sun, Nov 4, 2012 at 7:43 AM, Vitor Lamas Gatti
<email address hidden>wrote:

> The bug is still present in Ubuntu 12.10... is this a bug with libmtp or
> with Ubuntu? Does this work on other distros?
>
> --
> You received this bug notification because you are subscribed to a
> duplicate bug report (972311).
> https://bugs.launchpad.net/bugs/903422
>
> Title:
> Ubuntu does not work with Samsung Galaxy phones (needs update to
> libmtp)
>
> Status in GVFS:
> In Progress
> Status in “gmtp” package in Ubuntu:
> Invalid
> Status in “libmtp” package in Ubuntu:
> Confirmed
> Status in “udev” package in Ubuntu:
> Invalid
> Status in “gmtp” source package in Precise:
> Invalid
> Status in “libmtp” source package in Precise:
> Confirmed
> Status in “udev” source package in Precise:
> Invalid
> Status in “gmtp” source package in Quantal:
> Invalid
> Status in “libmtp” source package in Quantal:
> Confirmed
> Status in “udev” source package in Quantal:
> Invalid
>
> Bug description:
> If your device is not supported please open a new bug specifying:
> * device in question (make / model / release)
> * output of `mtp-detect` when the device is attached
> * output of `lsusb` when the device is attached
>
> This bug will be a catch all for recent Samsung Nexus & Nexus 7, or
> please comment what other recent Andorid 4.x devices are affected.
>
> Yes there is a lag in providing support for the most recent devices.
> As soon as the fixes are available, SRUs will follow.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/gvfs/+bug/903422/+subscriptions
>

"Me too" report.

Output of mtp-detect and lsusb are attached.

Galaxy Nexus
Android version: 4.1.1
Baseband version: I515.09 V.FC04 / I515.FC05
Kernel:
3.0.31-g396c4df
android-build@vpbs1
#1 SMP PREEMPT Mon Jul 16 18:08:06 PDT 2012
Build #: JRO03L
Build Date: Tue Sep 4 21:21:46 EDT 2012

Hope this helps...

darren (darrenm) wrote :

go-mtpfs works excellently for me by manually mounting. It seems to implement the mtp spec properly. Surely it wouldn't be difficult to just use that for mtp mounting rather than libmtp?

Anthony Borrow (arborrow) wrote :

Just confirming that go-mtpfs is working well for me with Ubuntu 12.10 with a Galaxy Nexus:
ID_MODEL Galaxy Nexus
ID_MODEL_ID 685c (non-developer mode)
ID_MODEL_ID 6860 (developer mode). I followed the instructions at:
ID_VENDOR samsung
ID_VENDOR_ID 04e8
http://bernaerts.dyndns.org/linux/247-ubuntu-automount-nexus7-mtp

and used the following udev rules:

#Google Galaxy Nexus
SUBSYSTEM=="usb", ATTR{idVendor}=="04e8", ATTR{idProduct}=="685c", MODE="0666" # MTP media
SUBSYSTEM=="usb", ATTR{idVendor}=="04e8", ATTR{idProduct}=="6860", MODE="0666" # MTP media with USB debug on
ENV{ID_MODEL}=="Galaxy_Nexus", ENV{ID_MODEL_ID}=="685c", ACTION=="add", RUN+="/usr/bin/sudo -u USERNAME /usr/local/sbin/go-mtpfs -allow-other=true /media/GalaxyNexus"
ENV{ID_MODEL}=="Galaxy_Nexus", ENV{ID_MODEL_ID}=="6860", ACTION=="add", RUN+="/usr/bin/sudo -u USERNAME /usr/local/sbin/go-mtpfs -allow-other=true /media/GalaxyNexus"
ENV{ID_MODEL}=="Galaxy_Nexus", ENV{ID_MODEL_ID}=="685c", ACTION=="remove", RUN+="/bin/umount /media/GalaxyNexus"
ENV{ID_MODEL}=="Galaxy_Nexus", ENV{ID_MODEL_ID}=="6860", ACTION=="remove", RUN+="/bin/umount /media/GalaxyNexus"

Peace - Anthony

Juan C Nuno (juancnuno) wrote :

http://bernaerts.dyndns.org/linux/247-ubuntu-automount-nexus7-mtp says that PTP works in Ubuntu 12.04. Doesn't for me. When I plug my 4.2 Galaxy Nexus into my 12.04 MacBook Pro and try to drag a picture from Nautilus to the desktop, I get an error

Error while copying "IMG_20120704_215542.jpg".
There was an error copying the file into /home/juancnuno/Desktop.
Error getting file: -6: Not Supported

This bug is pretty annoying. :/

Philip Langdale (langdalepl) wrote :

I've finally gotten around to putting builds of my patched gvfs in a ppa:

https://launchpad.net/~langdalepl/+archive/gvfs-mtp

If you upgrade to this version of gvfs, then MTP devices will be correctly handled by nautilus.

David Anderson (davea42) wrote :

The Langdale ppa installed (via software update), and trying Galaxy Nexus which is set to mtp.
On connecting usb cable
a photo-reader connection starts up and when I close that there is no device visible, no
usb device under /media. No joy. I guess I am doing something wrong? reboot required?

Bus 002 Device 012: ID 04e8:685c Samsung Electronics Co., Ltd

Listing raw device(s)
   Found 1 device(s):
   Samsung: Galaxy Nexus/Galaxy S i9000/i9250, Android 4.0 updates (04e8:685c) @ bus 2, dev 13
Attempting to connect device(s)
Android device detected, assigning default bug flags
USB low-level info:
   Interface has a kernel driver attached.
   bcdUSB: 512
   bDeviceClass: 0
   bDeviceSubClass: 0
   bDeviceProtocol: 0
   idVendor: 04e8
   idProduct: 685c
   IN endpoint maxpacket: 512 bytes
   OUT endpoint maxpacket: 512 bytes
   Raw device info:
      Bus location: 2
      Device number: 13
      Device entry info:
         Vendor: Samsung
         Vendor id: 0x04e8
         Product: Galaxy Nexus/Galaxy S i9000/i9250, Android 4.0 updates
         Vendor id: 0x685c
         Device flags: 0x0800a106

Philip Langdale (langdalepl) wrote :

You should reboot after upgrading gvfs or it won't take effect.

Ric (deryckchan) wrote :

I'm commenting to add yet another device to the list.

* device in question: LG Optimus L9 (P765, international version)

* output of `mtp-detect` when the device is attached as "Media sync (MTP)":

libmtp version: 1.0.6

Listing raw device(s)
   No raw devices found.

* output of `lsusb` when the device is attached

Bus 004 Device 002: ID 1cb6:6680
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 002 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 001 Device 006: ID 1004:631c LG Electronics, Inc.
Bus 001 Device 005: ID 13d3:509b IMC Networks
Bus 001 Device 003: ID 058f:6335 Alcor Micro Corp. SD/MMC Card Reader
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub

I'm trying to mount the LG Optimus L9 to my Asus eeepc T91 with Ubuntu 11.04 natty. MTP mounting works when I boot into Windows instead.

I'm not going to file another separate bug myself (because I'm not a regular either here or on major Android forums, it'll just sink to the bottom). If a dev thinks this needs to be a separate bug, please fork the bug. Thanks!

Mio (m10) wrote :

Philip Langdale i am using your ppa (added,updated,upgraded,rebooted) on ubuntu 12.10 with a Galaxy S3 but it does not work..
it does not mount when connecting to usb 3:
~$ mtp-detect
libmtp version: 1.1.4

Listing raw device(s)
Device 0 (VID=04e8 and PID=6860) is a Samsung GT P7310/P7510/N7000/I9070/I9100/I9300 Galaxy Tab 7.7/10.1/S2/S3/Nexus/Note/Y.
   Found 1 device(s):
   Samsung: GT P7310/P7510/N7000/I9070/I9100/I9300 Galaxy Tab 7.7/10.1/S2/S3/Nexus/Note/Y (04e8:6860) @ bus 3, dev 35
Attempting to connect device(s)
PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
outep: usb_get_endpoint_status(): Device or resource busy
usb_clear_halt() on IN endpoint: Device or resource busy
usb_clear_halt() on OUT endpoint: Device or resource busy
usb_clear_halt() on INTERRUPT endpoint: Device or resource busy
LIBMTP PANIC: failed to open session on second attempt
Unable to open raw device 0
OK.

when connecting to usb 2 it does work but i am not able to copy entire folders (creates an empty folder on the computer) and i am not able to move files within the device i get an error message:
There was an error copying the file into mtp://[usb:003,038]/131074/78.
Operation not supported by backend

Thanks for the effort!

Mio (m10) wrote :

but i can move files from the phone to the computer and back :) thx!

Philip Langdale (langdalepl) wrote :

Mio,

USB3: There are still compatibility issues with usb2 devices plugged into usb3 depending on the physical controller and kernel used. So I'm not surprised to hear there are problems. This is low level and not related to mtp.

Copying folders: Yes, this doesn't work, due to how Nautilus handles the operation. It should internally transform it into mkdir and individual file copies, but it does not, and it's not possible for a gvfs backend to sanely emulate this behaviour. I should change it to fail the operation, rather than make an empty directory. It's on my list.

Moving files: This is an optional feature in the MTP spec and no device supports it - the only thing you can do is move to PC and back again. Yes, it's ridiculous, but there you go.

Thanks for the feedback!

Mio (m10) wrote :

USB3, copying files: should I file a bug to linux/nautilus?

Moving files: couldn't it automatically move the file/folder to /tmp/ and then back to the new location? or must this be better done in nautilus too (file bug?)?

Thank _you_ for your work!

Philip Langdale (langdalepl) wrote :

Mio,

USB3 would be a kernel bug. You should look for unhappy messages in dmesg output.

Moving files: There are two answers to this one. It is physically possible to implement a "fake" file move in the backend, although if that's the path you want to go down it should be done in gvfs core code and not in each backend (the ptp backend has this fake move logic in it, but no one else can use it). But the most robust implementation would be in nautilus, because then it would understand what's really going on and could keep track of the file as it moves around the system and minimize the chance of data loss. It would also be able to give feedback to the user that two copy operations are taking place.

tags: added: precise

As described in bug #696301 the problem still exists in precise.
I also tested it with backported version from raring for libmtp (1.1.5) and mtpfs (1.1.2)
( --> https://launchpad.net/~dirk-computer42/+archive/c42-edge )

$ mtp-detect
Error: Unable to open ~/.mtpz-data for reading.
libmtp version: 1.1.5

Listing raw device(s)
Device 0 (VID=04e8 and PID=6860) is a Samsung Galaxy models (MTP).
   Found 1 device(s):
   Samsung: Galaxy models (MTP) (04e8:6860) @ bus 1, dev 5
Attempting to connect device(s)
PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
LIBMTP PANIC: failed to open session on second attempt
Unable to open raw device 0
OK.

tags: added: quantal raring
summary: - Ubuntu does not work with Samsung Galaxy phones (needs update to libmtp)
+ Ubuntu does not work with Samsung Galaxy phones ( Unable to open raw
+ device 0)
Philip Langdale (langdalepl) wrote :

Dirk, As discussed above, mtpfs will never work with an Android 4.x device due to how it uses libmtp. No updates to libmtp will ever change that.

As for your mtp-detect error, that's likely due to another application already talking MTP to the device (eg: if you'd attempted to mount with mtpfs, or if gvfs ptp was trying to communicate with it - which will happen automatically if you have a default Unity desktop, or if gvfs mtp is communicating with it, if you're using my version of gvfs). The MTP protocol only supports one application communicating with the device at a time, so if another one tries to do connection initialization, the device gets confused and can respond in fairly unpredictable ways.

Philip, thanks for all your work on this. With your PPA nautilus sees my i9300 allright but upon mounting it I only managed once to actually see any contents. In all other cases there was no visual error and the device appeared mounted, but there was just no content and I could not create anything as well.

Is there any way to debug this?

I also noticed that even though your solution is using gvfs, it is limited to nautilus, ie. other gvfs aware file managers such as thunar can't be used. I know this is exactly as announced by yoursefl, but our of curiosity: is this something to be fixable on your end or is it a limitation on those other file managers part?

Philip Langdale (langdalepl) wrote :

Marius,

Are you making sure the phone is unlocked when you plug it in? If the phone is locked, then you'll see an empty nautilus window. Once you unlock it, press F5 to refresh the window (My quantal builds are against libmtp 1.1.4 which has no event notification support - if built and run against 1.1.5, it will auto refresh when you unlock), and you should see some content.

As for Thunar, I'm slightly surprised it doesn't work. I haven't tried it so I have no idea what it does but my work should be transparent to anything that uses gvfs 'normally'. It's possible that Thunar handles some of the backend registration differently from Nautilus and may need explicit code changes to know that the mtp backend is available.

Dan Näsman (dan-naesman) wrote :

There are ONE POINT THREE million devices activated each day that are not "plug and play" with Ubuntu!

I have been frustrated with the lack of Android 4+ (MTP) plug and play for some time and I have tried gmtp and go-mtpfs but none have been stable. I handle my family's 7 android devices and the proposed workarounds works now and then for some of the devices. Last time that I needed to offload 9 GB of pictures from a Galaxy SII phone I had to revert to a virtual Windows 7:(

I propose to make MTP "Plug & Play" in Ubuntu, current LTS and future releases.

Norbert (asterix52) wrote :

@Mio, H.-Dirk Schmitt

Please test the latest version of libmtp and gvfs from Philips PPA.

https://launchpad.net/~langdalepl/+archive/gvfs-mtp

It runs fine with my Nexus7 and Samsung Galaxy S3. It supports the basic functions:

- mount
- file transfer
- make new dir
- rename dir (press F5 after rename)

Artyom (artyom-szasa) wrote :

I've been watching the thread for a while now as I still can't find a solution to get any files to/from my mobile devices (HTC One X and Acer A500) but by using ssh (either installing ssd on mobile devices or connection to my laptop/desktop). Both my laptop and desktop are running Ubuntu, usually the last stable one, so now it is Quantal.

First of all I would like to thank the ones working on the solution to this problem as it is a shame that Ubuntu does not support the andriod devices out of box (I've tried to use them since Oneiric with no success).

I've tried the gcfs-mtp solution mentioned above almost with out success. It allowed me to browse folders and open PDF files (only !) on my devices, but I could neither copy or move any files nor open image files.

Now I've udated to the newer version and got even worse results: I still can open a pdf in the root folder of my HTC, but when I try to enter the DCIM folder nautilus closes with "Connection closed" error (I see a localized message in hungarian but if it is important I can check the message the original message). Also I've got
 pool[26210] general protection ip:7f95b802a69c sp:7f95aeffcc28 error:0 in libgobject-2.0.so.0.3400.1[7f95b7ff9000+4d000]
error in my kern.log.

When using my Acer A500 the same thing happens if I try to open the root folder of the device...

Can I do anything to help solving these problems? SHould I post any logs or try anything?

Norbert (asterix52) wrote :

> but when I try to enter the DCIM folder nautilus closes with "Connection closed" error

I got this message often with the old version of gvfs and libmtp. Have done a restart after updating?

frotz (frotz) wrote :

I'm using a Galaxy Tab2 7.0 and have had similar problems. I cannot access the device at all using any of the known mtp tools (mtpfs, go-mtpfs, or jmptfs). I supposed that maybe upgrading to libmtp-1.1.5 will help.

I downloaded the libmtp-1.1.5 tarball, dropped in the debian/ directory from the previous version's deb src, changed debian/changelog and built a new deb containing the various packages for version 1.1.5.

mtp-detect succeeds. go-mtpfs and jmptfs work. Sometimes "fusermount -u foobar" will fail because the system thinks I'm still doing something in foobar. Regular mtpfs works unacceptably. It seems that it does a union mount of the internal sdcard on top of the external sdcard and sets all the permissions to 777.

I hope this helps.

Joe Beiter (joe-beiter) wrote :

broken on xoom.

Philip Langdale (langdalepl) wrote :

gvfs changes are now merged upstream.

Martin Pitt (pitti) wrote :

For the record, support for a proper MTP backend just landed in upstream gvfs. Once raring gets glib 2.35.x, we can package this.

affects: libmtp (Ubuntu) → gvfs (Ubuntu)
Changed in gvfs (Ubuntu):
status: Confirmed → In Progress
Changed in gvfs:
status: In Progress → Fix Released

@Mio, H.-Dirk Schmitt

Please test the latest version of libmtp and gvfs from Philips PPA.

https://launchpad.net/~langdalepl/+archive/gvfs-mtp

Also on my Galaxy S3 and Nexus 7 these (Natty packages) work great!

I would really suggest to get these packages to Natty-backports since the amount of Android devices using MTP in this world is enormous. The current user experience is horrible and hard to explain (like: yes Android is linux-based but it doesn't work with your Ubuntu linux... :-S) while with these new packages the user experience is great (just plug it in, file-manager opens, and there are nice icons for Internal Storage and SD storage).

Every day more and more Android devices are sold, most of them by now having Android OS 4.x+ and only MTP...

@Myself #149, dumb me. Not Natty, but Quantal packages... :P don't know what I was thinking...

Antti Boman (antti-boman) wrote :

Works flawlessly with Samsung Galaxy Nexus GSM, even with (sometimes flawed) Nautilus file copying. Thanks for the much needed fix and the PPA!

Works fine without noticeable issues with Galaxy SIII. Will test with a
couple of my Android development tablets (Galaxy Tab, Lepan, etc.) and
report back.

Great work getting this one wrestled down and fixed. Be nice to have
the Ubuntu maintainers push this out to the rest of the world, as 90% of
the people using Ubuntu never put enough effort in to find out how to
fix things.

Agreed, this needs to be backported, otherwise we are losing users :)

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gvfs - 1.15.2-0ubuntu1

---------------
gvfs (1.15.2-0ubuntu1) raring; urgency=low

  * debian/watch: Look for development releases, too.
  * New upstream release:
    - Add new MTP backend. In particular this can access Android 4.0 devices
      which do not support the USB Mass Storage interface any more.
      (LP: #903422)
    - See NEWS for other changes.
  * Bump build depends and add libmtp-dev according to upstream configure.ac.
  * debian/gvfs-backends.install: Install new MTP monitor.
  * Drop debian/tests/gvfs-test, it has been accepted upstream. Update
    debian/tests/integration to use tests/gvfs-test instead.
  * Add 00git_fix_archivemounter_tests.patch: Fix ArchiveMounter tests.
 -- Martin Pitt <email address hidden> Fri, 18 Jan 2013 12:42:41 +0100

Changed in gvfs (Ubuntu):
status: In Progress → Fix Released
David Anderson (davea42) wrote :

The langedalepl ppa is not helpful on Quantal. No joy. Galaxy Nexus
won't let me see pix or mount device with mtp or ptp chosen on the phone.

Ben Munro (benjamin-munro) wrote :

The langedalepl ppa works well for me. No issues so far.
I've got Quantal with a Galaxy Nexus.

Changed in udev (Ubuntu):
importance: Wishlist → Undecided
Changed in udev (Ubuntu Quantal):
importance: Wishlist → Undecided
Changed in udev (Ubuntu Precise):
importance: High → Undecided
Dave Roberts (vpasvid) wrote :

Unfortunately the langedalepl ppa does not work for me on Xubuntu 12.10 (I did reboot). Phone is a Motorola XT890 running ICS. I've tried multiple USB ports, unlocking the phone's screen and switching between MTP and PTP. Further things to try would be welcome.

$ mtp-detect
Error: Unable to open ~/.mtpz-data for reading.
libmtp version: 1.1.5

Listing raw device(s)
   No raw devices found.
$ lsusb
Bus 001 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 002 Device 002: ID 8087:0024 Intel Corp. Integrated Rate Matching Hub
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 005 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 006 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 002 Device 003: ID 06a3:8021 Saitek PLC Eclipse II Keyboard
Bus 002 Device 004: ID 046d:c016 Logitech, Inc. Optical Wheel Mouse
Bus 002 Device 005: ID 0424:2514 Standard Microsystems Corp. USB 2.0 Hub
Bus 002 Device 018: ID 22b8:710f Motorola PCS
Bus 002 Device 007: ID 0cf3:3005 Atheros Communications, Inc. AR3011 Bluetooth
$ cat /etc/udev/rules.d/51-android.rules
SUBSYSTEM=="usb", ATTR{idVendor}=="0bb4", MODE="0666"
SUBSYSTEM=="usb", ATTR{idVendor}=="22b8", MODE="0666"

It is now well over a month since this bug has been marked as fixed. Is this ever going into precise and/or quantal, or will this version of gvfs only be available from raring onwards?

Well, if it's going to happen, an SRU has to be filled out, and it will
have to meet the criteria for that. Now, whether this qualifies or not, I'm
not sure, but I'm sure something useful will be on the Ubuntu wiki about
that.

Sincerely,
kroq-gar78
On Feb 26, 2013 1:05 PM, "Stefan Brozinski" <email address hidden>
wrote:

> It is now well over a month since this bug has been marked as fixed. Is
> this ever going into precise and/or quantal, or will this version of
> gvfs only be available from raring onwards?
>
> --
> You received this bug notification because you are subscribed to the bug
> report.
> https://bugs.launchpad.net/bugs/903422
>
> Title:
> Ubuntu does not work with Samsung Galaxy phones ( Unable to open raw
> device 0)
>
> Status in GVFS:
> Fix Released
> Status in “gmtp” package in Ubuntu:
> Invalid
> Status in “gvfs” package in Ubuntu:
> Fix Released
> Status in “udev” package in Ubuntu:
> Invalid
> Status in “gmtp” source package in Precise:
> Invalid
> Status in “gvfs” source package in Precise:
> Confirmed
> Status in “udev” source package in Precise:
> Invalid
> Status in “gmtp” source package in Quantal:
> Invalid
> Status in “gvfs” source package in Quantal:
> Confirmed
> Status in “udev” source package in Quantal:
> Invalid
>
> Bug description:
> If your device is not supported please open a new bug specifying:
> * device in question (make / model / release)
> * output of `mtp-detect` when the device is attached
> * output of `lsusb` when the device is attached
>
> This bug will be a catch all for recent Samsung Nexus & Nexus 7, or
> please comment what other recent Andorid 4.x devices are affected.
>
> Yes there is a lag in providing support for the most recent devices.
> As soon as the fixes are available, SRUs will follow.
>
> To manage notifications about this bug go to:
> https://bugs.launchpad.net/gvfs/+bug/903422/+subscriptions
>

Martin Pitt (pitti) wrote :

Stefan Brozinski [2013-02-26 18:57 -0000]:
> It is now well over a month since this bug has been marked as fixed. Is
> this ever going into precise and/or quantal, or will this version of
> gvfs only be available from raring onwards?

My gut feeling is "Raring onwards", as it's quite an intrusive change
which by far doesn't meet the usual SRU criteria.

Dave,

Unfortunately, these newer Motorola devices appear as... wait for it... a CDROM drive.

The CD image contains the installer for some windows software that they want you to run, which will send a magic USB packet to the phone to switch it into MTP mode. That's really what's going on. I haven't found any useful information about this online, so it doesn't appear anyone's reverse engineered the magic packet. Sad sad sad.

Philip Langdale [2013-03-06 4:57 -0000]:
> Unfortunately, these newer Motorola devices appear as... wait for it...
> a CDROM drive.

That's quite common indeed; there is usb-modeswitch to get devices
from this useless fake CD-ROM to "real" UMS/MTP mode, so perhaps
usb-modeswitch-data needs to be updated for your model? It might help
to file a bug against usb-modeswitch-data, anyway.

I encounter this bug also with my Intel Orange phone with Android 4.0 and Ubuntu 12.04
(Device 0 (VID=8087 and PID=09fc))

This is a very BIG regression, because it used to work normaly (at fast speed) on my computer since last week where I have let ubuntu proceed to updates.

tlue (tlueber) wrote :

connecting and browsing with nautilus is fine with my HTC. Copy Camera-Pictures to Linux works fine too.
But now copied files onto that phone from a WinXP and when wanting to copy those files towards Linux I get the error:

"Error getting file: -6: Not Supported"

The file size is 368MB

output of mtp-detect:

libmtp version: 1.1.3

Listing raw device(s)
Device 0 (VID=0bb4 and PID=0df9) is UNKNOWN.
Please report this VID/PID and the device model to the libmtp development team
   Found 1 device(s):
   0bb4:0df9 @ bus 2, dev 16
Attempting to connect device(s)
ignoring usb_claim_interface = -6ignoring usb_claim_interface = -5PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
LIBMTP PANIC: failed to open session on second attempt
Unable to open raw device 0
OK.

and lsusb:

lsusb
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 003 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 004 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 005 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 006 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 007 Device 001: ID 1d6b:0001 Linux Foundation 1.1 root hub
Bus 003 Device 002: ID 0a5c:2110 Broadcom Corp. Bluetooth Controller
Bus 003 Device 003: ID 0483:2016 SGS Thomson Microelectronics Fingerprint Reader
Bus 002 Device 016: ID 0bb4:0df9 High Tech Computer Corp.

tlue (tlueber) wrote :

actually it now works for me when adding this ppa:

sudo add-apt-repository ppa:langdalepl/gvfs-mtp
sudo apt-get update

apply all updates and restart computer. found the info here: http://www.webupd8.org/2013/01/upgrade-to-gvfs-with-mtp-support-in.html

David Anderson (davea42) wrote :

With Ringtail-13.04 I can access Android 4.2.2 data on my Galaxy Nexus .
Does not show up like a USB device on my desktop but File Manager shows it
and can mount/unmount and copy data to it.
A big advantage for 13.04 over 12.10. Thanks to all the folks who made this work again.

Oren Held (oren-held) wrote :

I've been too lazy to try go-mtpfs, up until now.
It just works flawlessly with Galaxy Nexus / Android 4.2.2, unlike libmtp and its ecosystem (gmtp, rhythmbox, nautilus).

summary: - Ubuntu does not work with Samsung Galaxy phones ( Unable to open raw
+ Ubuntu does not work with Samsung Galaxy phones (Unable to open raw
device 0)

There was recently a change to the adb tool. It now does authentication; the user is prompted to "allow" a new computer when the phone is connected to it. The old adb is not compatible.

This change is probably why it fails, even though MTP on the Samsung Galaxy Nexus previously worked.

I used the new adb (with the authentication) to manually push files. That worked fine. Trying the other forum posts (like changing the udev rules) did not work for me.

It was very aggravating to get the cool new phone (Nexus 4) and then not be able to transfer files to it.

(This comment reposted from duplicate bug 1092621.)

Netraam (maarten-labeeuw) wrote :

Nexus S
Android 4.1.2
Build JZO54K

Ubuntu 13.04

Error:
     Unable to Mount Nexus S
     Unable to open MTP device '[usb:001,005]'

$ gmtp
Device 0 (VID=18d1 and PID=4e21) is a Google Inc (for Samsung) Nexus S.
LIBMTP PANIC: Unable to find interface & endpoints of device
Detect: Unable to open raw device?
LIBMTP PANIC: Trying to dump the error stack of a NULL device!
LIBMTP PANIC: Trying to clear the error stack of a NULL device!

$ mtp-detect
Unable to open ~/.mtpz-data for reading, MTPZ disabled.libmtp version: 1.1.5

Listing raw device(s)
Device 0 (VID=18d1 and PID=4e21) is a Google Inc (for Samsung) Nexus S.
   Found 1 device(s):
   Google Inc (for Samsung): Nexus S (18d1:4e21) @ bus 1, dev 5
Attempting to connect device(s)
LIBMTP PANIC: Unable to find interface & endpoints of device
Unable to open raw device 0
OK.

$ lsusb -vs 001:006
Bus 001 Device 006: ID 18d1:4e21 Google Inc. Nexus S
Device Descriptor:
  bLength 18
  bDescriptorType 1
  bcdUSB 2.00
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 64
  idVendor 0x18d1 Google Inc.
  idProduct 0x4e21 Nexus S
  bcdDevice 2.31
  iManufacturer 2 samsung
  iProduct 3 Nexus S
  iSerial 4 37351D????????
  bNumConfigurations 1
  Configuration Descriptor:
    bLength 9
    bDescriptorType 2
    wTotalLength 32
    bNumInterfaces 1
    bConfigurationValue 1
    iConfiguration 0
    bmAttributes 0x80
      (Bus Powered)
    MaxPower 500mA
    Interface Descriptor:
      bLength 9
      bDescriptorType 4
      bInterfaceNumber 0
      bAlternateSetting 0
      bNumEndpoints 2
      bInterfaceClass 8 Mass Storage
      bInterfaceSubClass 6 SCSI
      bInterfaceProtocol 80 Bulk-Only
      iInterface 1 Mass Storage
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x82 EP 2 IN
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0200 1x 512 bytes
        bInterval 0
      Endpoint Descriptor:
        bLength 7
        bDescriptorType 5
        bEndpointAddress 0x01 EP 1 OUT
        bmAttributes 2
          Transfer Type Bulk
          Synch Type None
          Usage Type Data
        wMaxPacketSize 0x0200 1x 512 bytes
        bInterval 1
Device Qualifier (for other device speed):
  bLength 10
  bDescriptorType 6
  bcdUSB 2.00
  bDeviceClass 0 (Defined at Interface level)
  bDeviceSubClass 0
  bDeviceProtocol 0
  bMaxPacketSize0 64
  bNumConfigurations 1
Device Status: 0x0001
  Self Powered

Gary (dw2s) on 2013-11-30
Changed in gvfs (Ubuntu):
assignee: nobody → Gary (dw2s)
Rolf Leggewie (r0lf) wrote :

quantal has seen the end of its life and is no longer receiving any updates. Marking the quantal task for this ticket as "Won't Fix".

Changed in gvfs (Ubuntu Quantal):
status: Confirmed → Won't Fix

Seems like this bug still occurs on:

`
patben@patben-amd:~$ lsb_release -a
No LSB modules are available.
Distributor ID: Ubuntu
Description: Ubuntu 18.04.1 LTS
Release: 18.04
Codename: bionic
patben@patben-amd:~$ mtp-detect
libmtp version: 1.1.13

Listing raw device(s)
Device 0 (VID=04e8 and PID=6860) is a Samsung Galaxy models (MTP).
   Found 1 device(s):
   Samsung: Galaxy models (MTP) (04e8:6860) @ bus 5, dev 6
Attempting to connect device(s)
ignoring libusb_claim_interface() = -6PTP_ERROR_IO: failed to open session, trying again after resetting USB interface
LIBMTP libusb: Attempt to reset device
ignoring libusb_claim_interface() = -6LIBMTP PANIC: failed to open session on second attempt
Unable to open raw device 0
OK.
patben@patben-amd:~$ lsusb
Bus 006 Device 002: ID 0424:5734 Standard Microsystems Corp.
Bus 006 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 005 Device 003: ID 04b3:3025 IBM Corp. NetVista Full Width Keyboard
Bus 005 Device 004: ID 0424:274c Standard Microsystems Corp.
Bus 005 Device 006: ID 04e8:6860 Samsung Electronics Co., Ltd Galaxy (MTP)
Bus 005 Device 002: ID 0424:2734 Standard Microsystems Corp.
Bus 005 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 004 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 003 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
Bus 002 Device 001: ID 1d6b:0003 Linux Foundation 3.0 root hub
Bus 001 Device 002: ID 046d:c52b Logitech, Inc. Unifying Receiver
Bus 001 Device 004: ID 05e3:0723 Genesys Logic, Inc. GL827L SD/MMC/MS Flash Card Reader
Bus 001 Device 003: ID 2516:0051
Bus 001 Device 001: ID 1d6b:0002 Linux Foundation 2.0 root hub
`

To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.